com.corticon.service.ccserver.exception

## Class CcServerException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CcServerCannotReadFileContentsException, CcServerCannotWriteToFileException, CcServerDatabaseValidationException, CcServerDecisionServiceAlreadyRegisteredException, CcServerDecisionServiceBatchNotCurrentlyRunningException, CcServerDecisionServiceLoadedFromCddException, CcServerDecisionServiceNotDeployedInBatchModeException, CcServerDecisionServiceNotRegisteredException, CcServerDecisionServiceQueryServiceLoadFailedException, CcServerDecisionServiceTrackingAttributeAlreadyRegisteredException, CcServerDecisionServiceTrackingAttributeNotRegisteredException, CcServerEndlessLoopException, CcServerExecutionException, CcServerFileOrDirNotFoundException, CcServerInitializationInProgressException, CcServerInvalidArgumentException, CcServerInvalidCddException, CcServerInvalidDecisionServiceException, CcServerInvalidInputStreamException, CcServerInvalidJdoMetaDataException, CcServerInvalidOperationForDeploymentTypeException, CcServerInvalidSandboxException, CcServerInvalidUsernameAndPasswordException, CcServerInvalidUsernameAndPasswordForUploadAndDownloadException, CcServerLicenseViolationException, CcServerReportingInvalidDataException, CcServerTimeoutException

      public class CcServerException
      extends CcException
      implements java.io.Serializable

  `CcServerException` is the base class of all exceptions thrown by the Corticon Server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerException()`
    `CcServerException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerException(java.lang.String astrMessage)`
    `CcServerException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerException

          public CcServerException()

    - #### CcServerException

          public CcServerException(java.lang.String astrMessage)

    - #### CcServerException

          public CcServerException(java.lang.String astrMessage,
                                   java.lang.Object aobject)

    - #### CcServerException

          public CcServerException(java.lang.Exception aparentException,
                                   java.lang.String astrMessage)

    - #### CcServerException

          public CcServerException(java.lang.Exception aparentException,
                                   java.lang.Object aobject)

    - #### CcServerException

          public CcServerException(java.lang.Exception aparentException,
                                   java.lang.String astrMessage,
                                   java.lang.Object aobject)

Copyright © 2005-2019 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.